package com.zt.plat.module.qms.resource.material.enums;

import lombok.Getter;

/**
 * 物料通用操作类型
 *
 */
@Getter
public enum MaterialNormalOperationType {
    used_mark("用完标记"),

    clean_recycle("清洗回收"),

    open_seal("开封"),

    ;

    private final String name;

    MaterialNormalOperationType(String name) {
        this.name = name;
    }

    public static MaterialNormalOperationType fromName(String name) {
        for (MaterialNormalOperationType type : MaterialNormalOperationType.values()) {
            if (type.getName().equals(name)) {
                return type;
            }
        }
        throw new IllegalArgumentException("No enum constant with name: " + name);
    }
}
